Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87931 - Memory refresh / relece /realocation
Summary: Memory refresh / relece /realocation
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: curl
Version: 8.0
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Eido Inoue
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-03 19:48 UTC by nick meimaris
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-07-01 16:44:53 UTC


Attachments (Terms of Use)

Description nick meimaris 2003-04-03 19:48:01 UTC
Description of problem: Memery duz not refresh, memory gets eaten up badly


Version-Release number of selected component (if applicable):


How reproducible:nikolaos meimaris <cuznick@yahoo.com> writes:

> im having probloms with my system eating memory
> 
> My system:
> 
> 2 x PII Xeon 500 mhz
> was 1.5 gig RAM now is 1.0 gig RAM ( needed RAM on other)
> 3 Gig swap 
> 
> I was downloading the updates and notised my memery shrinking. 
> I started the downloads, and the instalation. I was eating 785MB of 
RAM
> on a system at idle, after I was dun. the installer was thrue. window 
was
> closed. It had finished.It was kaput.
> 
> restarted was running ok at 100+ RAM
> 
> started downloadong ISO thru 'curl'  memory is geting eaten at the 
rate
> of the download. memery growing transversy perportional to download
>  
> opend  'System Monitor' added "all" the running prosses came	to 200+
> somthing had some things running. Added the download( at  the MB 
state of
> download it was in) to the 'system monitor' and got same number + 
some
> 
> My question is redhat 8.0 use Ram not swap for downloads?
> Is it saposed to keep eating RAM after download is thrue?
> Will redhat 9.0 cuere me?
> 
> God Bless
> and Thank You
> Nikolaos A Meimaris
>  P.S. at 697 Mb used right now

 I allso get the problem when i right CD-Rs the memery fills up as fast as the
cd is writen and it dusent refresh


Steps to Reproduce:
1.bownload somthing

2.
3.
    
Actual results:memory gets eaten


Expected results: memory to get refreshed and re alocated


Additional info: God Loves You

Comment 1 Eido Inoue 2003-07-01 16:44:53 UTC
fixed in 7.10.5 in rawhide


Note You need to log in before you can comment on or make changes to this bug.